#include <oxstd.h>
#include "oxlatex.ox"

main()
{
	decl OL = new OxLatex();
	OL.UsePackage("amsmath");
	OL.UsePackage("times");

	OL.Title("Test output for \\oxLaTeX");
	OL.Author("Yori Zwols");
	
	decl X = rann(4,4);
	OL.Section("A simulation");
	OL.Println("We've generated a $4\\times 4$ matrix $X$ of $\mathcal{N}(0,1)$ realizations:");
	OL.Equation("X=", X);
	OL.Print("The mean is ", meanr(meanc(X)), ".");

	OL.SetFilename("example_output");
	OL.Preview();
}
