#include <oxstd.h>

class StringList {
	decl m_Strings;
	decl m_Count;
	decl m_Capacity;

	StringList();

	Add(const str);
	Count();
	Get(const index);
	WriteToFile(const file);
}

StringList::StringList() {
	m_Count    = 0;
	m_Strings  = new array[4];
}

StringList::Add(const str) {
	if (m_Count == sizeof(m_Strings)) {
		decl newStrings = new array[sizeof(m_Strings)*2];
		newStrings[0:m_Count-1] = m_Strings[0:m_Count-1];
		delete m_Strings;
		m_Strings = newStrings;
	}
	m_Strings[m_Count++] = str;
}

StringList::Count() {
	return m_Count;
}

StringList::Get(const index) {
	return m_Strings[index];
}

StringList::WriteToFile(const file) {
	for (decl i = 0; i < m_Count; i++)
		fprintln(file, Get(i));
}
